/*This replaces count(*) with max(timegenerated) - The last time itr was recored instead of Count*/

SELECT
	AppPoolID,
	MAX(_Rapid-Fail) AS Rapid-Fail,
	MAX(_Terminated) AS Terminated,
	MAX(_Ping-Fail) AS Ping-Fail,
	MAX(_Communication-Fail) AS Communication-Fail,
	MAX(_TimeLimit-ShutDown) AS TimeLimit-ShutDown,
	MAX(_Reported-Fail) AS Reported-Fail,
	MAX(_ProcessingTime) AS ProcessingTime,
	MAX(_UnderDebugger) AS UnderDebugger

USING
	CASE EventID
		WHEN 1074 THEN EXTRACT_TOKEN(strings,1,'|')
		ELSE EXTRACT_TOKEN(strings,0,'|')
	END AS AppPoolID,
	CASE EventID
		WHEN 1002 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _Rapid-Fail,
	CASE EventID
		WHEN 1009 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _Terminated,
	CASE EventID
		WHEN 1010 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _Ping-Fail,
	CASE EventID
		WHEN 1011 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _Communication-Fail,
	CASE EventID
		WHEN 1013 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _TimeLimit-ShutDown,
	CASE EventID
		WHEN 1039 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _Reported-Fail,
	CASE EventID
		WHEN 1074 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _ProcessingTime,
	CASE EventID
		WHEN 1082 THEN TimeGenerated
		ELSE TO_TIMESTAMP('2001-01-01 01:01:01','yyyy-MM-dd hh:mm:ss')
	END AS _UnderDebugger

FROM system
WHERE SourceName = 'W3SVC'

GROUP BY AppPoolID


*/

/*Below is the Sample Output from the above Select Statment. If you have questions please emial mscomblg@microsoft.com and reference this file.*/

AppPoolID      Rapid-Fail          Terminated          Ping-Fail           Communication-Fail  TimeLimit-ShutDown  Reported-Fail       ProcessingTime

      UnderDebugger

-------------- ------------------- ------------------- ------------------- ------------------- ------------------- ------------------- --------------

----- -------------------

DefaultAppPool 2006-03-09 15:40:24 2006-03-24 15:16:59 2006-03-20 16:57:48 2006-03-27 13:58:05 2006-03-20 17:32:20 2006-03-09 15:40:24 2006-01-20 22:

27:57 2006-03-20 17:32:20

/*