/*Pivoted View*/

SELECT
	AppPoolID,
	SUM(_Rapid-Fail) AS Rapid-Fail,
	SUM(_Terminated) AS Terminated,
	SUM(_Ping-Fail) AS Ping-Fail,
	SUM(_Communication-Fail) AS Communication-Fail,
	SUM(_TimeLimit-ShutDown) AS TimeLimit-ShutDown,
	SUM(_Reported-Fail) AS Reported-Fail,
	SUM(_ProcessingTime) AS ProcessingTime,
	SUM(_UnderDebugger) AS UnderDebugger

USING
	CASE EventID
		WHEN 1074 THEN EXTRACT_TOKEN(strings,1,'|')
		ELSE EXTRACT_TOKEN(strings,0,'|')
	END AS AppPoolID,
	CASE EventID
		WHEN 1002 THEN 1
		ELSE 0
	END AS _Rapid-Fail,
	CASE EventID
		WHEN 1009 THEN 1
		ELSE 0
	END AS _Terminated,
	CASE EventID
		WHEN 1010 THEN 1
		ELSE 0
	END AS _Ping-Fail,
	CASE EventID
		WHEN 1011 THEN 1
		ELSE 0
	END AS _Communication-Fail,
	CASE EventID
		WHEN 1013 THEN 1
		ELSE 0
	END AS _TimeLimit-ShutDown,
	CASE EventID
		WHEN 1039 THEN 1
		ELSE 0
	END AS _Reported-Fail,
	CASE EventID
		WHEN 1074 THEN 1
		ELSE 0
	END AS _ProcessingTime,
	CASE EventID
		WHEN 1082 THEN 1
		ELSE 0
	END AS _UnderDebugger

FROM system
WHERE SourceName = 'W3SVC'

GROUP BY AppPoolID



/*Below is the Sample Output from the above Select Statment. If you have questions please emial mscomblg@microsoft.com and reference this file.*/

AppPoolID      Rapid-Fail Terminated Ping-Fail Communication-Fail TimeLimit-ShutDown Reported-Fail ProcessingTime UnderDebugger

-------------- ---------- ---------- --------- ------------------ ------------------ ------------- -------------- -------------

DefaultAppPool 4          3          5         6                  4                  21            1              9


/*