/*Default View*/


SELECT
	AppPoolID,
	EventID,
	Count(*) as Total,
	MAX(TimeGenerated) AS MaxTime

USING
	CASE EventID  
		WHEN 1074 THEN EXTRACT_TOKEN(strings,1,'|')
		ELSE EXTRACT_TOKEN(strings,0,'|')
	END AS AppPoolID

FROM system
WHERE SourceName = 'W3SVC'

GROUP BY AppPoolID,EventID



/*Below is the Sample Output from the above Select Statment. If you have questions please emial mscomblg@microsoft.com and reference this file.*/

/*

First one is default view, columns: AppPoolID, EventID, Count(*) and LastTime.

AppPoolID      EventID Total MaxTime

-------------- ------- ----- -------------------

DefaultAppPool 1039    21    2006-03-09 15:40:24

DefaultAppPool 1002    4     2006-03-09 15:40:24

DefaultAppPool 1074    1     2006-01-20 22:27:57

DefaultAppPool 1010    5     2006-03-20 16:57:48

DefaultAppPool 1082    9     2006-03-20 17:32:20

DefaultAppPool 1013    4     2006-03-20 17:32:20

DefaultAppPool 1009    3     2006-03-24 15:16:59

DefaultAppPool 1011    6     2006-03-27 13:58:05

*/

